Subject: Re: [PATCH 19/24] [IPSEC]: Merge most of the output path

From: Patrick McHardy <[email-masked]>
Date: Wed, 14 Nov 2007 10:14:27 +0100

David Miller wrote:
> From: Herbert Xu <[email-masked]>
> Date: Thu, 8 Nov 2007 19:29:21 +0800
> 
>> On Thu, Nov 08, 2007 at 12:23:29PM +0100, Patrick McHardy wrote:
>>> We have a few places that go though the trouble of selecting the
>>> "correct" hook value for the address family, even though the numerical
>>> values are identical. How about we just get rid of the different
>>> naming and use NF_INET_... for both IPv4 and IPv6?
>> Nice work! Thanks Patrick.
> 
> Yeah I like it too, applied to net-2.6.25
> 
> I had to do some minor rediffing to make it go in cleanly after
> Herbert's work, so I'm doing some build testing before I push this bit
> onto kernel.org

Thanks Dave. As luck would have it, my HIFN card should arrive
within the next few hours, so I'll try to convert esp over to
async crypto and give this all some good testing :)